Package ghidra.util

# Class MergeSortingSpliterator<T>

java.lang.Object
ghidra.util.MergeSortingSpliterator<T>

All Implemented Interfaces:
  `Spliterator<T>`

public class MergeSortingSpliterator<T> extends Object implements Spliterator<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Spliterator

  `Spliterator.OfDouble, Spliterator.OfInt, Spliterator.OfLong, Spliterator.OfPrimitive<T,T_CONS,T_SPLITR extends Spliterator.OfPrimitive<T,T_CONS,T_SPLITR>>`

- ## Field Summary

  ### Fields inherited from interface java.util.Spliterator

  `CONCURRENT, DISTINCT, IMMUTABLE, NONNULL, ORDERED, SIZED, SORTED, SUBSIZED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeSortingSpliterator(Iterable<? extends Spliterator<? extends T>> spliterators, Comparator<? super T> comparator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `characteristics()`
  `long`
  `estimateSize()`
  `Comparator<? super T>`
  `getComparator()`
  `boolean`
  `tryAdvance(Consumer<? super T> action)`
  `Spliterator<T>`
  `trySplit()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Spliterator

  `forEachRemaining, getExactSizeIfKnown, hasCharacteristics`

- ## Constructor Details

  - ### MergeSortingSpliterator

    public MergeSortingSpliterator(Iterable<? extends Spliterator<? extends T>> spliterators, Comparator<? super T> comparator)

- ## Method Details

  - ### tryAdvance

    public boolean tryAdvance(Consumer<? super T> action)
    Specified by:
      `tryAdvance` in interface `Spliterator<T>`

  - ### trySplit

    public Spliterator<T> trySplit()
    Specified by:
      `trySplit` in interface `Spliterator<T>`

  - ### estimateSize

    public long estimateSize()
    Specified by:
      `estimateSize` in interface `Spliterator<T>`

  - ### characteristics

    public int characteristics()
    Specified by:
      `characteristics` in interface `Spliterator<T>`

  - ### getComparator

    public Comparator<? super T> getComparator()
    Specified by:
      `getComparator` in interface `Spliterator<T>`